1

Onderwerp: Updaten OpenSuse Tumbleweed

Als ik zypper list-updates doe dan zie ik heel veel pakketten die geupdated zouden kunnen worden. Echter: als ik via Yast2 naar Software Updates kijk zie ik niets.
Wie kan me dit verklaren?

Old programmers never die: they just jump to a new address
Kubuntu 16.02 LTS, Compaq CQ61 met Linux Mint 18, een Galaxy Tab 10.1 met Android Ice Cream en een Raspberry PI met raspian
http://www.volkerskrant.nl

Re: Updaten OpenSuse Tumbleweed

De ene klopt, de andere niet wink

3

Re: Updaten OpenSuse Tumbleweed

peugeot2 schreef:

De ene klopt, de andere niet wink

Echt een ICT-er. Antwoord is juist maar je hebt er niets aan.
Bovendien is het ook nog mogelijk dat beiden niet kloppen.

Old programmers never die: they just jump to a new address
Kubuntu 16.02 LTS, Compaq CQ61 met Linux Mint 18, een Galaxy Tab 10.1 met Android Ice Cream en een Raspberry PI met raspian
http://www.volkerskrant.nl

Re: Updaten OpenSuse Tumbleweed

Dan als je zo bekend bent met de IT. Geef ons logfiles en de stderr en stdout. Dan kunnen we iets zinnigs zeggen.
http://www.catb.org/~esr/faqs/smart-questions.html

ACAB: All computers are broken. https://medium.com/message/everything-i … e5f33a24e1 "I've decided that you need gray hair and hemorrhoids to be a consultant.
The gray hair makes you look distinguished & the hemorrhoids make you look concerned."

5

Re: Updaten OpenSuse Tumbleweed

koot:~ # zypper list-updates
Loading repository data...
Reading installed packages...
S | Repository                  | Name                                 | Current Version                 | Available Version              | Arch  
--+-----------------------------+--------------------------------------+---------------------------------+--------------------------------+-------
v | openSUSE-Tumbleweed-Non-Oss | AdobeICCProfiles                     | 2.0-155.2                       | 2.0-155.5                      | noarch
v | openSUSE:Factory            | ImageMagick                          | 6.9.5.10-1.2                    | 6.9.7.5-1.1                    | i586  
v | openSUSE:Factory            | Mesa                                 | 12.0.3-143.2                    | 13.0.3-152.1                   | i586  
v | openSUSE:Factory            | Mesa-libEGL1                         | 12.0.3-143.2                    | 13.0.3-152.1                   | i586  
v | openSUSE:Factory            | Mesa-libGL1                          | 12.0.3-143.2                    | 13.0.3-152.1                   | i586  
v | openSUSE:Factory            | Mesa-libGLESv2-2                     | 12.0.3-143.2                    | 13.0.3-152.1                   | i586  
v | openSUSE:Factory            | Mesa-libglapi0                       | 12.0.3-143.2                    | 13.0.3-152.1                   | i586  
v | openSUSE:Factory            | Mesa-libva                           | 12.0.3-143.2                    | 13.0.3-152.1                   | i586  
v | openSUSE:Factory            | ModemManager                         | 1.6.2-1.1                       | 1.6.2-4.1                      | i586  
v | openSUSE:Factory            | ModemManager-bash-completion         | 1.6.2-1.1                       | 1.6.2-4.1                      | i586  
v | openSUSE:Factory            | MozillaFirefox                       | 51.0.1-1.1                      | 51.0.1-1.2                     | i586  
v | openSUSE:Factory            | MozillaThunderbird                   | 45.4.0-1.2                      | 45.7.0-1.2                     | i586  
v | openSUSE:Factory            | NetworkManager                       | 1.4.2-1.1                       | 1.4.4-1.2                      | i586  
v | openSUSE:Factory            | NetworkManager-branding-openSUSE     | 42.1-1.5                        | 42.1-1.6                       | noarch
v | openSUSE:Factory            | NetworkManager-connection-editor     | 1.4.0-1.1                       | 1.4.2-3.1                      | i586  
v | openSUSE:Factory            | NetworkManager-openvpn               | 1.2.4-1.1                       | 1.2.8-1.1                      | i586  
v | openSUSE:Factory            | NetworkManager-pptp                  | 1.2.4-1.1                       | 1.2.4-1.2                      | i586  
v | openSUSE:Factory            | NetworkManager-vpnc                  | 1.2.4-1.1                       | 1.2.4-2.1                      | i586  
v | openSUSE:Factory            | PackageKit                           | 1.1.4-1.1                       | 1.1.5-1.2                      | i586  
v | openSUSE:Factory            | PackageKit-backend-zypp              | 1.1.4-1.1                       | 1.1.5-1.2                      | i586  
v | openSUSE:Factory            | PackageKit-branding-openSUSE         | 42.1-1.7                        | 42.1-1.8                       | noarch
v | openSUSE:Factory            | PackageKit-gstreamer-plugin          | 1.1.4-1.1                       | 1.1.5-1.2                      | i586  
v | openSUSE:Factory            | PackageKit-gtk3-module               | 1.1.4-1.1                       | 1.1.5-1.2                      | i586  
v | openSUSE:Factory            | WindowMaker                          | 0.95.7-1.6                      | 0.95.7-1.7                     | i586  
v | openSUSE:Factory            | acpica                               | 20160422-1.2                    | 20170119-1.1                   | i586  
v | openSUSE:Factory            | akonadi-contact                      | 16.08.2-1.1                     | 16.12.1-1.1                    | i586  
v | openSUSE:Factory            | akonadi-mime                         | 16.08.2-1.1                     | 16.12.1-1.1                    | i586  
v | openSUSE:Factory            | akonadi-search                       | 16.08.2-1.1                     | 16.12.1-1.1                    | i586  
v | openSUSE:Factory            | akonadi-server                       | 16.08.2-1.1                     | 16.12.1-1.1                    | i586  
v | openSUSE:Factory            | alsa                                 | 1.1.2-1.3                       | 1.1.3-1.1                      | i586  
v | openSUSE:Factory            | alsa-devel                           | 1.1.2-1.3                       | 1.1.3-1.1                      | i586  
v | openSUSE:Factory            | alsa-plugins                         | 1.1.1-1.5                       | 1.1.1-2.1                      | i586  
v | openSUSE:Factory            | alsa-plugins-pulse                   | 1.1.1-1.5                       | 1.1.1-2.1                      | i586  
v | openSUSE:Factory            | alsa-utils                           | 1.1.2-1.3                       | 1.1.3-1.1                      | i586  
v | openSUSE:Factory            | amarok                               | 2.8.0-24.1                      | 2.8.0-26.1                     | i586  
v | openSUSE:Factory            | apache2                              | 2.4.23-3.2                      | 2.4.25-1.1                     | i586  
v | openSUSE:Factory            | apache2-prefork                      | 2.4.23-3.2                      | 2.4.25-1.1                     | i586  
v | openSUSE:Factory            | apache2-utils                        | 2.4.23-3.2                      | 2.4.25-1.1                     | i586  

-- en nog meer wat ik niet kan posten ivm de limiet op post length
Old programmers never die: they just jump to a new address
Kubuntu 16.02 LTS, Compaq CQ61 met Linux Mint 18, een Galaxy Tab 10.1 met Android Ice Cream en een Raspberry PI met raspian
http://www.volkerskrant.nl

6

Re: Updaten OpenSuse Tumbleweed

Kan het zijn dat YaST niet alle repo's bijwerkt? Check daar eens bij update wat de instellingen zijn.

IF not THEN toch

Re: Updaten OpenSuse Tumbleweed

jovo schreef:
peugeot2 schreef:

De ene klopt, de andere niet wink

Echt een ICT-er. Antwoord is juist maar je hebt er niets aan.
Bovendien is het ook nog mogelijk dat beiden niet kloppen.

Je hebt gelijk, maar ik kon het niet laten.... excuus wink

8

Re: Updaten OpenSuse Tumbleweed

Is het niet dat zypper alle beschikbare pakketten laat zien van de repos voor een system upgrade.

YaST laat de pakketten zien die voor het draaiende systeem als update in aanmerking komen of bijgewerkt worden.

openSUSE Tumbleweed KDE  HP desktop & op
Lenovo T440s
Jolla2 met sailfish
Raspberry Pi met Debian en openSUSE

9

Re: Updaten OpenSuse Tumbleweed

Joris schreef:

Kan het zijn dat YaST niet alle repo's bijwerkt? Check daar eens bij update wat de instellingen zijn.

Volgens mij kijken Yast en zypper altijd naar dezelfde repo's


Benson schreef:

Is het niet dat zypper alle beschikbare pakketten laat zien van de repos voor een system upgrade.

YaST laat de pakketten zien die voor het draaiende systeem als update in aanmerking komen of bijgewerkt worden.

Ik zie juist bij zypper allerlei pakketten voorbij komen die geupgrade zouden kunnen worden.

Old programmers never die: they just jump to a new address
Kubuntu 16.02 LTS, Compaq CQ61 met Linux Mint 18, een Galaxy Tab 10.1 met Android Ice Cream en een Raspberry PI met raspian
http://www.volkerskrant.nl

10

Re: Updaten OpenSuse Tumbleweed

volgens mij adviseert opensuse om via zypper tumbleweed te upgraden. Wie weet om deze reden

Help mee om KDE 5 in het Nederlands te vertalen!!

11

Re: Updaten OpenSuse Tumbleweed

Dat klopt voor Tumbleweed is het zypper dup voor een complete upgrade, wordt de TW versie volledig  bijgewerkt  met alle nieuwste pakketten.
Die er op dat moment zijn, kunnen ook wat minder stabiele bijzitten trouwens, maar goed TW is een experimentele versie van openSUSE

Dat moet je dan weer juist niet doen bij Leap dan is zypper up voldoende, of gebruik maken de automatische software pakketten bijwerker.

openSUSE Tumbleweed KDE  HP desktop & op
Lenovo T440s
Jolla2 met sailfish
Raspberry Pi met Debian en openSUSE

12

Re: Updaten OpenSuse Tumbleweed

Even los.
Hij gebruikt Factory-reposutory's op Tumbleweed.
Is dit wel aan te raden?

IF not THEN toch

13

Re: Updaten OpenSuse Tumbleweed

Joris schreef:

Even los.
Hij gebruikt Factory-reposutory's op Tumbleweed.
Is dit wel aan te raden?

Dat zegt mij niets. Waarom wel cq niet?

Old programmers never die: they just jump to a new address
Kubuntu 16.02 LTS, Compaq CQ61 met Linux Mint 18, een Galaxy Tab 10.1 met Android Ice Cream en een Raspberry PI met raspian
http://www.volkerskrant.nl

14

Re: Updaten OpenSuse Tumbleweed

openSUSE geeft zelf aan de repository's uit een distro te gebruiken.
Als je mengt, dus in leap een TW repo gebruiken, kun je raar gedrag krijgen met bijwerken van software of dat je openSUSE niet goed gaat werken.

Volgens mij is Factory de nog meer bleeding edge versie van tumbleweed.

IF not THEN toch

15

Re: Updaten OpenSuse Tumbleweed

zypper lr geeft nu aan

#  | Alias                               | Name                        | Enabled | GPG Check | Refresh
---+-------------------------------------+-----------------------------+---------+-----------+--------
 1 | Videolan                            | Videolan                    | No      | ----      | ----   
 2 | http-download.opensuse.org-5589357d | openSUSE:Factory            | No      | ----      | ----   
 3 | http-ftp.gwdg.de-b8761a85           | Packman Repository          | No      | ----      | ----   
 4 | http-ftp.gwdg.de-cde70a17           | Packman Repository          | No      | ----      | ----   
 5 | http-opensuse-guide.org-a3113e4e    | libdvdcss repository        | No      | ----      | ----   
 6 | openSUSE-20160626-0                 | openSUSE-20160626-0         | No      | ----      | ----   
 7 | repo-debug                          | openSUSE-Tumbleweed-Debug   | No      | ----      | ----   
 8 | repo-non-oss                        | openSUSE-Tumbleweed-Non-Oss | Yes     | (r ) Yes  | Yes    
 9 | repo-oss                            | openSUSE-Tumbleweed-Oss     | Yes     | (r ) Yes  | Yes    
10 | repo-source                         | openSUSE-Tumbleweed-Source  | No      | ----      | ----   
11 | repo-update                         | openSUSE-Tumbleweed-Update  | Yes     | (r ) Yes  | Yes    

Dus ik neem aan dat nu alles goed is.

Overigens had ik geloof ik eigenlijk Leap moeten installeren maar ik ga het niet over doen.

Old programmers never die: they just jump to a new address
Kubuntu 16.02 LTS, Compaq CQ61 met Linux Mint 18, een Galaxy Tab 10.1 met Android Ice Cream en een Raspberry PI met raspian
http://www.volkerskrant.nl

16 Laatst bewerkt door Joris (06 Feb 2017 22:28:13)

Re: Updaten OpenSuse Tumbleweed

Nou, misschien wel een betere keuze.
Leap is een stabiele versie die gepatcht wordt.
TW wordt de software zo veel mogelijk vernieuwd. (En bij Factory is het echt bleeding edge, recht vanuit de versiebeheer de software getrokken en gecompileerd als het ware.)
Tumbleweed is zo veranderlijk dat er geen ondersteuning is voor alle kerneldrivers en programma's als Virtual Box niet ondersteund kunnen worden.

Verander toch eens de repo van Factory in de Tumbleweed-versie.

IF not THEN toch

17

Re: Updaten OpenSuse Tumbleweed

Kan ik nog zonder herinstallatie overgaan naar Leap?

Old programmers never die: they just jump to a new address
Kubuntu 16.02 LTS, Compaq CQ61 met Linux Mint 18, een Galaxy Tab 10.1 met Android Ice Cream en een Raspberry PI met raspian
http://www.volkerskrant.nl

18

Re: Updaten OpenSuse Tumbleweed

Dat moet kunnen. Het is dezelfde werking als een system upgrade.

https://en.opensuse.org/SDB:System_upgr … he_Upgrade

IF not THEN toch